function OnSceneLoad(screen)    
    game_state = {}    
    game_state.all_items_found = false
    game_state.minigame_completed = false
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    game_state.active_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    level:AddTaskSafe(CreateTask('TRIANGLE', 'TRIANGLES', 'pazl_1', 'pazl_2', 'pazl_3', 'pazl_4', 'pazl_5'));
	AddRandomTasks(17,               
               CreateTask('ANCHOR', '', 'anchor'),
               CreateTask('BELL', '', 'bell'),
               CreateTask('CAT', '', 'cat'),
               CreateTask('CLOCK', '', 'clock'),
               CreateTask('COINS', '', 'coins'),
               CreateTask('MASK', 'MASKS', 'mask1', 'mask2'),
			   CreateTask('PINEAPPLE', '', 'pinapple'),
               CreateTask('RADIO', '', 'radio'),
			   CreateTask('SEAHORSE', '', 'seahorse'),
               CreateTask('SHOES', '', 'shoes'),
			   CreateTask('STARFISH', 'STARFISH_PLURAL', 'starfish1', 'starfish2', 'starfish3'),
               CreateTask('STATUE_GIRL', '', 'statue'),
               CreateTask('TEAPOT', '', 'teapot'),
			   CreateTask('UMBRELLA', '', 'umbrella')
    )    
	local object = play_field:GetObject('refusebin');
	inventory_garbage = CreateInventory(object:GetX() + 130,
                                        object:GetY() - 100,
                                        object:GetZ() + 115,
                                        "garbage",
                                        CreateItem('broom_tool', 'broom_scaled'),
                                        CreateItem('dustpan_tool', 'dustpan'),
                                        CreateItem('refusebin_tool', 'refusebin_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_4_1");

	inventory_garbage.state_changer = "OnGarbageComplete"
	
	inventory_garbage.OnComplete = function()
	    play_field:GetObject('garbage'):ChangeOpacity(1, 0, 0.3)
	    game_state.locked_objects['dart1'] = false
	    inventory_darts.Unlock()
	end
	
    CreateTool('dustpan', 'dustpan')
	CreateTool('refusebin', 'refusebin_scaled')		
	CreateTool('broom', 'broom_scaled') 	
	
	local object = play_field:GetObject('target');
	inventory_darts = CreateInventory(object:GetX() + 20,
                                    object:GetY() + 50,
                                    object:GetZ() + 15,
                                    "target",
                                    CreateItem('dart_tool', 'dart1'),
                                    CreateItem('dart2_tool', 'dart2'),
                                    CreateItem('dart3_tool', 'dart3'),
                                    play_field:GetTimer(),
									"INVENTORY_TASK_4_2");
	
	inventory_darts.state_changer = "OnDartsComplete"
	
	inventory_darts.OnComplete = function()
		PlaySound('4_DartsFall');
	    game_state.locked_objects['target'] = true
	    local object = play_field:GetObject('target')
	    local af = CreateAnimationEffector()--AnimationEffector()
        af:AttachTo(object)
        af:SetKey(_TRACK_X, 0.0, 544)
        af:SetKey(_TRACK_Y, 0.0, 176)
        af:SetKey(_TRACK_X, 0.3, 544)
        af:SetKey(_TRACK_Y, 0.3, 393)
        af:Play()	    
        game_state.locked_objects['key'] = false
        inventory_drawer.Unlock()
	end
    
    CreateTool('dart1', 'dart1')
	CreateTool('dart2', 'dart2')
	CreateTool('dart3', 'dart3') 
	
	local object = play_field:GetObject('drawer');
	inventory_drawer = CreateInventory(object:GetX(),
                                       object:GetY(),
                                       object:GetZ() + 15,
                                       "drawer",
                                        nil,
                                        CreateItem('key_tool', 'key'),
                                        nil,
                                        play_field:GetTimer(),
										"INVENTORY_TASK_4_3");
	inventory_drawer.state_changer = "OnDrawerComplete"
	
	inventory_drawer.OnComplete = function()
		PlaySound('4_DrawerOpen')
		local obj = play_field:GetObject('drawer');
		--local e = AddBubblesExplosion(obj, play_field, 1, obj:GetZ() + 10, 0, 0, 1 / obj:GetScaleX(), 1 / obj:GetScaleY(), 0)
		--e:AttachTo(obj)
        RegisterZoomZone(zoom_drawer, 'drawer2')
	end    

    CreateTool('key', 'key')	

    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    
    zoom_drawer = CreateZoomZone('close_zone_drawer',
                                 '',
                                 'drawer_bak',
                                 'pazl_1',
                                 'pazl_2',
                                 'pazl_3',
                                 'pazl_4',
                                 'pazl_5',
                                 'sprait_platka_1',
                                 'sprait_platka_2')
    zoom_drawer.SetOffsetZ(200);
    play_field:IgnoreOnTestPoint('sprait_5')
    game_state.drawer_objects_left = 5
    
    
    game_state.pieces_left = 5
    
    AddSheriffEyeLogic()    
    
    InitChain1(screen)
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
    InitChain2(screen)
    InitChain3(screen)
    InitChain4(screen)
    game_state.chain4.final = true
    
    play_field:GetObject('casket_cover'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
    play_field:GetObject("casket_cover"):GetAnimation():Stop()
    game_state.locked_objects["casket_cover_empty"] = true    
    game_state.casket_comics_was_started = false
    
    game_state.locked_objects['dart1'] = true
    game_state.locked_objects['key'] = true
    
    
    game_state.x = 10
	
	play_field:IgnoreOnTestPoint('sprait_1')
	play_field:IgnoreOnTestPoint('champain')
	game_state.meta_object = 'cigar2'
	game_state.OnStartingComicsComplete = function()
		inventory_garbage.Unlock()
	end
	
	game_state.OnGarbageComplete = function()
		play_field:GetObject('garbage'):SetOpacity(0)
	    game_state.locked_objects['dart1'] = false
	    inventory_darts.Unlock()
	end
	
	game_state.OnDartsComplete = function()
		game_state.locked_objects['target'] = true
	    local object = play_field:GetObject('target')
		object:SetXY(176, 393)
        game_state.locked_objects['key'] = false
        inventory_drawer.Unlock()
	end
	
	game_state.OnDrawerComplete = function()
        RegisterZoomZone(zoom_drawer, 'drawer2')
	end
	
	game_state.OnCasketUnlocked = function()
	    if GetProfileManager():GetCurrentProfile():CallsFunction('OnMinigameConditionsComplete') then
	        return
	    end
	    game_state.casket_comics_was_started = true
        game_state.chain2.Start()            
		    
		game_state.custom_cursors['casket_cover_empty'] = 'CursorArms'
		local object = play_field:GetObject("casket_cover_empty")
        game_state.locked_objects["casket_cover_empty"] = false
		game_state.casket_bubbles_explosion = AddBubblesExplosion(object, play_field, 1, object:GetZ() + 10, 0, 0, 1, 1, 0)
		game_state.casket_bubbles = AddBubblesAnimation(play_field, 3, object:GetZ(), object:GetX(), object:GetY(), 0.25, 0.25, math.random(0, 5))	
		game_state.casket_bubbles:AttachTo(play_field)
	end
	
	game_state.OnCasketOpened = function()
		local anim = play_field:GetObject('casket_cover'):GetAnimation()
		anim:SetFrame(anim:GetFrames() - 1)
		game_state.casket_bubbles:Hide()
		game_state.casket_bubbles_explosion:Hide()
		game_state.locked_objects['casket_cover_empty'] = true				
		play_field:GetObject('casket_cover_empty'):SetVisible(false)
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end
	    load_screen('data/Scenes/Minigames/4_triangles.lua');
	end
	
	game_state.puzzle_pieces_reached_panel = 0
	
end

function InitChain1(screen)
     local comics1 = CreateComics(screen,                                 
                                 'Museum_director',
                                 'eye_md')
                                 
                                         
    local comics2 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')
                                         
    local comics3 = CreateComics(screen,
                                 'Museum_director', 
                                 'eye_md')    
        
    AddMDEyeLogic()
    
    comics3.OnHidden = function()
		comics1.DefaultOnHidden()
		inventory_garbage.Unlock()
    end
    
    game_state.chain1 = CreateChain('pixel1',
                                    screen,
                                    comics1, GetString("COMICS_4_1"),
                                    comics2, GetString("COMICS_4_2"),
                                    comics3, GetString("COMICS_4_3"))
end

function InitChain2(screen)
    local comics1 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')
                                 
     local comics2 = CreateComics(screen,                                  
                                 'Museum_director', 
                                 'eye_md')
                                 
    local comics3 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')
	
	comics3.OnHidden = function()
		comics3.DefaultOnHidden()
		game_state.custom_cursors['casket_cover_empty'] = 'CursorArms'
        game_state.locked_objects["casket_cover_empty"] = false
	end
        
    game_state.chain2 = CreateChain('pixel2',
                                    screen,
                                    comics1, GetString("COMICS_4_4"),
                                    comics2, GetString("COMICS_4_5"),
                                    comics3, GetString("COMICS_4_6"))
end

function InitChain3(screen)
    local comics1 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')
                                     
    comics1.OnHidden = function()
        game_state.locker:Release()
        game_state.minigame_completed = true
        CheckWinCondition()
        play_field:GetLevelScreen():GetPanel():Go()
    end
   
    game_state.chain3 = CreateChain('pixel3',
                                    screen,
                                    comics1, GetString("COMICS_4_7"))
end

function InitChain4(screen)
    local comics1 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')
                                 
     local comics2 = CreateComics(screen,                                 
                                 'Museum_director',                                 
                                 'eye_md')
                                 
    comics2.OnHidden = function()
        game_state.locker:Release()
        OnWin()
    end                                             
    
    game_state.chain4 = CreateChain('pixel4',
                                    screen,
                                    comics1, GetString("COMICS_4_8"),
                                    comics2, GetString("COMICS_4_9"))
end

function OnScreenShown()
    game_state.chain1.Start()
end

function OnSceneFree()
    FreeData()
end

function OnUpdate(dt)    
end

function OnNotebookClosed()
    game_state.all_items_found = true
    if game_state.minigame_completed then
	    OnWinConditionsComplete()
	end
end

function OnNotebookOpened()
end


function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true
	
	if obj_name == 'casket_cover_empty' and 
       not game_state.locked_objects['casket_cover_empty'] and
       game_state.locker:GetNReferences() == 0 then
        game_state.casket_bubbles:Hide()
	    load_screen('data/Scenes/Minigames/4_triangles.lua');
		local pm = GetProfileManager();
		local currentProfile = pm:GetCurrentProfile();
		currentProfile:AddStateChanger('OnMinigameConditionsComplete')
	end	

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)	
end

function OnMinigameCompleted()

    local pm = GetProfileManager();
    local currentProfile = pm:GetCurrentProfile();
    currentProfile:AddStateChanger('OnCasketOpened')
    OnSceneStateChanged(play_field);
    play_field:GetObject('casket_cover'):GetAnimation():Play()
	local sn = CreateSoundEntity('4_CasketOpen');
	sn:AttachTo(play_field)
	sn:Play(false)
    game_state.locked_objects['casket_cover_empty'] = true
    --game_state.comics2.text:SetText(GetString("COMICS_15"))    
    --game_state.chain3.Start()
	TimerDo(play_field:GetTimer(), GetAnimationLength(play_field:GetObject('casket_cover'):GetAnimation()), game_state.chain3.Start)
	play_field:GetObject('casket_cover_empty'):SetVisible(false)
    
--[[    game_state.comics2.OnShown = function()
        game_state.locker:AddRef()
        play_field:GetLevelScreen():GetPanel():Stop()
    end
    
    game_state.comics2.OnHidden = function()
        game_state.locker:Release()
        CheckWinCondition()
        play_field:GetLevelScreen():GetPanel():Go()         
    end
    
    game_state.comics2.SetVisible(true)]]
end

function CheckWinCondition()
    if not play_field:GetLevelScreen():HasTaskObjects() then
        OnWinConditionsComplete()
    end
end

function OnWinConditionsComplete()
    game_state.chain4.Start()
    --[[game_state.comics2.text:SetText(GetString('COMICS_16'))    
    game_state.comics2.OnShown = function()
        game_state.locker:AddRef()
        play_field:GetLevelScreen():GetPanel():Stop()
    end
    
    game_state.comics2.OnHidden = function()        
        game_state.comics1.OnShown = function()
            game_state.locker:AddRef()
            play_field:GetLevelScreen():GetPanel():Stop()
        end
        game_state.comics1.OnHidden = function()
            game_state.locker:Release()
            OnWin()
        end
        game_state.comics1.text:SetText(GetString('COMICS_17'))
        game_state.comics1.SetVisible(true)
    end
    
    game_state.comics2.SetVisible(true)]]
end

function OnObjectWillBeFound(object)
    local object_name = object:GetName()
	if object_name == 'pazl_1'or
       object_name == 'pazl_2'or
       object_name == 'pazl_3'or
       object_name == 'pazl_4'or
       object_name == 'pazl_5' then
	   
       game_state.drawer_objects_left = game_state.drawer_objects_left - 1
	   if game_state.drawer_objects_left == 0 then
		    zoom_drawer.SetVisible(false)
		    game_state.locker:Release()
		    UnregisterZoomZone(zoom_drawer)
            --game_state.locked_objects['drawer'] = true
	   end
	end	
	
	if object_name == 'pazl_1'or
       object_name == 'pazl_2'or
       object_name == 'pazl_3'or
       object_name == 'pazl_4'or
       object_name == 'pazl_5' then
       game_state.pieces_left = game_state.pieces_left - 1
	   if game_state.pieces_left == 0 then
			local object = play_field:GetObject("casket_cover_empty")--:AddParticleSystem('data/ParticleSystem/ObjectHighlight.psi',
																   --play_field:GetObject('particle'):GetAnimationPtr())
			local e = AddBubblesExplosion(object, play_field, 1, object:GetZ() + 10, 0, 0, 1, 1, 0)
			game_state.casket_bubbles = AddBubblesAnimation(play_field, 3, object:GetZ(), object:GetX(), object:GetY(), 0.25, 0.25, math.random(0, 5))	
	        game_state.casket_bubbles:AttachTo(play_field)
			--e:AttachTo(object)
            if zoom_drawer.IsVisible() then 
                zoom_drawer.SetVisible(false)
                if game_state.locker:GetNReferences() > 0 then
                    game_state.locker:Release()
                end
            end
            local pm = GetProfileManager();
            local currentProfile = pm:GetCurrentProfile();
            currentProfile:AddStateChanger('OnCasketUnlocked')
            OnSceneStateChanged(play_field);
	   end
	end		
end

function OnObjectWasFound(object)
	local object_name = object:GetName()
	if object_name == 'pazl_1'or
       object_name == 'pazl_2'or
       object_name == 'pazl_3'or
       object_name == 'pazl_4'or
       object_name == 'pazl_5' then
	   
       game_state.puzzle_pieces_reached_panel = game_state.puzzle_pieces_reached_panel + 1
	    
		if game_state.puzzle_pieces_reached_panel == 5 and not game_state.casket_comics_was_started then
			game_state.casket_comics_was_started = true
            game_state.chain2.Start()            
		end
	end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)	
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Animations/Window.dds',0,0,292,290,25,8)
	anim:SetHotSpot(146,145)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Window',anim,392,231,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Zoom/drawer_bak.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('drawer_bak',anim,512,384,160,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel4',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Animations/casket.png',0,0,144,106,1,0)
	anim:SetHotSpot(72,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('casket',anim,375,631,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Animations/casket_cover.dds',0,0,144,86,21,13)
	anim:SetHotSpot(72,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('casket_cover',anim,373,598,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Effect/particles.png',0,32,32,32,1,0)
	anim:SetHotSpot(16,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('particle',anim,100,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/casket_cover_empty.png',0,0,144,86,1,0)
	anim:SetHotSpot(72,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('casket_cover_empty',anim,373,598,112,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,532,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,734,390,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Museum_director.dds',0,0,504,756,1,0)
	anim:SetHotSpot(252,378)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Museum_director',anim,454,397,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eye_md.png',0,0,20,21,1,0)
	anim:SetHotSpot(10,10)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eye_md',anim,506,237,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,729,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/dart.png',0,0,56,42,1,0)
	anim:SetHotSpot(28,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dart1',anim,820,127,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/garbage.png',0,0,100,72,1,0)
	anim:SetHotSpot(50,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('garbage',anim,255,623,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/dart.png',0,0,56,42,1,0)
	anim:SetHotSpot(28,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dart_tool',anim,40,131,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/dart2.png',0,0,59,66,1,0)
	anim:SetHotSpot(29,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dart2',anim,292,508,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/dart2.png',0,0,59,66,1,0)
	anim:SetHotSpot(29,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dart2_tool',anim,69,141,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/dart3.png',0,0,69,24,1,0)
	anim:SetHotSpot(34,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dart3',anim,246,626,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/dart3.png',0,0,69,24,1,0)
	anim:SetHotSpot(34,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dart3_tool',anim,97,150,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/target.png',0,0,55,56,1,0)
	anim:SetHotSpot(27,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('target',anim,544,176,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/refusebin.png',0,0,129,112,1,0)
	anim:SetHotSpot(64,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('refusebin',anim,245,740,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/refusebin.png',0,0,129,112,1,0)
	anim:SetHotSpot(64,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('refusebin_scaled',anim,239,745,105,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/refusebin.png',0,0,129,112,1,0)
	anim:SetHotSpot(64,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('refusebin_tool',anim,151,75,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/broom.png',0,0,59,210,1,0)
	anim:SetHotSpot(29,105)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom',anim,481,371,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/broom.png',0,0,59,210,1,0)
	anim:SetHotSpot(29,105)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom_scaled',anim,486,383,100,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/broom.png',0,0,59,210,1,0)
	anim:SetHotSpot(29,105)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom_tool',anim,28,57,100,0,0.4,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/horned_helm.png',0,0,85,58,1,0)
	anim:SetHotSpot(42,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horned_helm',anim,528,367,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/helm.png',0,0,36,39,1,0)
	anim:SetHotSpot(18,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('helm',anim,504,456,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/dustpan.png',0,0,49,40,1,0)
	anim:SetHotSpot(24,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dustpan',anim,419,434,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/dustpan.png',0,0,49,40,1,0)
	anim:SetHotSpot(24,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dustpan_tool',anim,74,77,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/champain.png',0,0,21,19,1,0)
	anim:SetHotSpot(10,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('champain',anim,412,436,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/key.png',0,0,20,52,1,0)
	anim:SetHotSpot(10,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key',anim,544,177,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/key.png',0,0,20,52,1,0)
	anim:SetHotSpot(10,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_tool',anim,32,213,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/anchor.png',0,0,51,59,1,0)
	anim:SetHotSpot(25,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anchor',anim,479,208,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/bell.png',0,0,70,43,1,0)
	anim:SetHotSpot(35,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,957,151,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/cat.png',0,0,35,96,1,0)
	anim:SetHotSpot(17,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cat',anim,287,365,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/clock.png',0,0,28,33,1,0)
	anim:SetHotSpot(14,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,908,243,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/hourglass.png',0,0,15,37,1,0)
	anim:SetHotSpot(7,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglass',anim,565,591,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/glove1.png',0,0,49,34,1,0)
	anim:SetHotSpot(24,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove1',anim,551,380,117,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/glove2.png',0,0,94,60,1,0)
	anim:SetHotSpot(47,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove2',anim,826,553,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/mask1.png',0,0,47,88,1,0)
	anim:SetHotSpot(23,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask1',anim,758,71,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/mask2.png',0,0,105,144,1,0)
	anim:SetHotSpot(52,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask2',anim,233,474,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/bag.png',0,0,56,32,1,0)
	anim:SetHotSpot(28,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,249,532,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/pen.png',0,0,84,18,1,0)
	anim:SetHotSpot(42,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pen',anim,693,649,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/radio.png',0,0,84,54,1,0)
	anim:SetHotSpot(42,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('radio',anim,327,372,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/shoes.png',0,0,57,44,1,0)
	anim:SetHotSpot(28,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shoes',anim,242,388,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/statue.png',0,0,75,211,1,0)
	anim:SetHotSpot(37,105)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('statue',anim,978,497,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('drawer',anim,678,205,102,0,17,6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('drawer2',anim,682,205,100,0,18,6)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/vase.png',0,0,117,129,1,0)
	anim:SetHotSpot(58,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vase',anim,295,335,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/pinaplle.png',0,0,61,91,1,0)
	anim:SetHotSpot(30,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pinaplle',anim,612,133,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/seahorse.png',0,0,30,72,1,0)
	anim:SetHotSpot(15,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seahorse',anim,768,224,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/umbrella.png',0,0,165,50,1,0)
	anim:SetHotSpot(82,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,422,499,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/candle.png',0,0,52,48,1,0)
	anim:SetHotSpot(26,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle',anim,845,228,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/starfish1.png',0,0,46,53,1,0)
	anim:SetHotSpot(23,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish1',anim,704,30,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/starfish2.png',0,0,56,65,1,0)
	anim:SetHotSpot(28,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish2',anim,637,735,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/starfish3.png',0,0,52,37,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish3',anim,545,750,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/skull.png',0,0,150,271,1,0)
	anim:SetHotSpot(75,135)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skull',anim,469,293,109,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/box.png',0,0,88,47,1,0)
	anim:SetHotSpot(44,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('box',anim,537,399,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Layers/books_layer.png',0,0,83,73,1,0)
	anim:SetHotSpot(41,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('books_layer',anim,265,353,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Zoom/pazl_1.png',0,0,69,45,1,0)
	anim:SetHotSpot(34,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_1',anim,303,285,182,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Zoom/pazl_2.png',0,0,67,50,1,0)
	anim:SetHotSpot(33,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_2',anim,394,375,165,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Zoom/pazl_3.png',0,0,79,43,1,0)
	anim:SetHotSpot(39,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_3',anim,571,257,165,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Zoom/pazl_4.png',0,0,79,58,1,0)
	anim:SetHotSpot(39,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_4',anim,430,535,165,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Zoom/pazl_5.png',0,0,76,59,1,0)
	anim:SetHotSpot(38,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_5',anim,769,468,165,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Zoom/sprait_platka_1.png',0,0,70,61,1,0)
	anim:SetHotSpot(35,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_platka_1',anim,393,385,166,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Zoom/sprait_platka_2.png',0,0,62,30,1,0)
	anim:SetHotSpot(31,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_platka_2',anim,428,516,167,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/cigar2.png',0,0,118,78,1,0)
	anim:SetHotSpot(59,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar2',anim,461,586,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/teapot.png',0,0,68,57,1,0)
	anim:SetHotSpot(34,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teapot',anim,921,545,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_directors_museum_office_2/Items/coins.png',0,0,34,40,1,0)
	anim:SetHotSpot(17,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coins',anim,559,590,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
